Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 834110 (cmake-utils-removal) - [TRACKER] cmake-utils.eclass: Last-rites
Summary: [TRACKER] cmake-utils.eclass: Last-rites
Status: RESOLVED FIXED
Alias: cmake-utils-removal
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL: https://archives.gentoo.org/gentoo-de...
Whiteboard:
Keywords: Tracker
Depends on: 718082 761679 770499 770592 770760 773175 774393 774480 774495 774519 781284 791514 793926 811951 811960 815904 816579 822258 828736 834111 834113 834114 834115 834116 834117 834118 834119 834120 834121 834122 834123 834124 834125 834127 834131 834132 834259 834261 834293 834294 834295 834296 834297 834298 834299 834300 834301 834302 834303 834304 834305 834306 834307 834309 834310 834311 834312 834313 834314 834315 834316 834317 834325 834439 835085
Blocks:
  Show dependency tree
 
Reported: 2022-02-26 19:20 UTC by Andreas Sturmlechner
Modified: 2022-08-01 20:18 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2022-02-26 19:20:43 UTC
Long overdue.

All necessary porting notes are in cmake.eclass introduction gentoo-dev mail, git history, eclassdoc itself.
Comment 1 Ulrich Müller gentoo-dev 2022-02-27 08:52:43 UTC
(In reply to Andreas Sturmlechner from comment #0)
> cmake.eclass introduction gentoo-dev mail

Can you please provide a pointer to this?
Comment 3 Larry the Git Cow gentoo-dev 2022-07-02 21:26:20 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ba98eaac9c726d0fb7cbe3cd71029bf3fa7ea4e7

commit ba98eaac9c726d0fb7cbe3cd71029bf3fa7ea4e7
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-07-02 21:25:19 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-07-02 21:25:19 +0000

    cmake-utils.eclass: mark @DEAD for removal
    
    Removal on 2022-08-02.
    
    Bug: https://bugs.gentoo.org/637726
    Bug: https://bugs.gentoo.org/834110
    Signed-off-by: Sam James <sam@gentoo.org>

 eclass/cmake-utils.eclass | 1 +
 1 file changed, 1 insertion(+)
Comment 4 Larry the Git Cow gentoo-dev 2022-08-01 20:18:33 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e744f5adb5c46eb013d3f1228f607b094ac212a

commit 3e744f5adb5c46eb013d3f1228f607b094ac212a
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-08-01 20:17:14 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-08-01 20:17:59 +0000

    cmake-utils.eclass: drop last-rited eclass
    
    Use cmake.eclass instead.
    
    Closes: https://bugs.gentoo.org/834110
    Signed-off-by: Sam James <sam@gentoo.org>

 eclass/cmake-utils.eclass | 851 ----------------------------------------------
 1 file changed, 851 deletions(-)